subroutine F_Expr(f_source, f_text)

character(132) f_source
character(132) line, f_text(0:2)
character(1) TAB*1, sp*1


f_text(0) ='f  =?'
f_text(1) ='f1 =?'
f_text(2) ='f2 =?'

open(10, file =f_source, status ='old', form ='formatted', iostat =k_open)

if(k_open /=0) return

TAB =char( ichar("	") )
sp =char(32)


WH_DO: DO WHILE (.not.EOF(10))
read(10, '(a)') line

! Supress leading blanks (if any):
line =adjustl(line)

! Replace leading tab(s) by space(s):
i =0
100 i =i+1
if(line(i:i) ==TAB) then
line(i:i) =sp
else
goto 200
endif

goto 100

! Supress leading blanks:
200 line =adjustl(line)


if(line(1:1) =='!') cycle WH_DO

! Search in "line" for "f" and "=":
ig1  =index(line, "f"); ig2 =index(line, "=");

if(ig1 /=0 .and. ig2 /=0) then
    
    if(line(1:2) =='f') then
	f_text(0) ='f '//trim(line(ig2:))
	
	elseif(line(1:2) =='f1') then
	f_text(1) ='f1 '//trim(line(ig2:))

	else
	f_text(2) ='f2  '//trim(line(ig2:))
	endif
endif

ENDDO WH_DO

close(10)

END
